# Create new project

```sh
ng new --routing --style=scss project-name
cd project-name
# install southsystem packages
npm i @southsystem/styles
npm i @southsystem/layout 
# install fontawsome packages
npm i @fortawesome/angular-fontawesome 
npm i @fortawesome/fontawesome-free 
npm i @fortawesome/fontawesome-svg-core 
npm i @fortawesome/free-solid-svg-icons
```

file: src/app/app.component.html
```html
<router-outlet></router-outlet>
```

file: src/app/app.module.ts
```typescript
@NgModule({
  imports: [
    SSTLayoutModule,
  ]
})
```

file: src/app/app-routing.module.ts
```typescript
// ...
import { SSTFullLayoutComponent } from '@southsystem/layout';

const routes: Routes = [
  {
    path: '',
    component: SSTFullLayoutComponent
  }
];

@NgModule({
  imports: [
    RouterModule.forRoot(routes)
  ]
})
// ...
```
file: src/styles.scss
```scss
@import "~@southsystem/styles/southsystem";
```
